<?php
include 'conexion1.php';

$tipo = $_POST['tipo'];
$fecha = $_POST['fecha'];
$monto = $_POST['monto'];
$descripcion = $_POST['descripcion'];
$conexion = new mysqli($servidor, $nombre, $clave, $base);

$sql = "INSERT INTO transacciones (tipo, fecha, monto, descripcion, estado) VALUES ('$tipo', '$fecha', $monto, '$descripcion', 'Pendiente')";
if ($conexion->query($sql) === TRUE) {
    echo "Transacción guardada exitosamente.";
} else {
    echo "Error: " . $sql . "<br>" . $conexion->error;
}
$conexion->close();
?>